Description

Contains all files for the ST CoP Weapon Pack Version 3.0 This includes the main mod, the 3.0.1 patch, the compatability patch for AtmosFear 3, aswell as my translation.

Preview
STCoP Weapon Pack 3.0.1 (Download + Translation)
Comments  (0 - 50 of 60)
The-Blog Author
The-Blog

Hope everybody enjoys the new translation and release. Big thanks to the modder Gaz1k for continuing to develope this mod. Should you notice any typos, errors or something missing feel free to write it in the comments and I will update the download as soon as I can.

Reply Good karma+8 votes
Guest
Guest

Yeah, i think I m only here who working with STALKER mods in 2019 year!!!+5
I m intoStalker SoC Mods now, but this mod is wery interesting!!!

Reply Good karma Bad karma-2 votes
PRinceBhai
PRinceBhai

No, there are a couple of peeps working on stuff.

Reply Good karma Bad karma+2 votes
JR_Babarossa
JR_Babarossa

Finally a reason to install Call of Pripyat againšŸ˜

Reply Good karma Bad karma+3 votes
Dendrodaro
Dendrodaro

I promise to quit my whining afterward, but I have to inform you that the latest version of this mod is 3.0.4, available here:
Yadi.sk
It already includes some of the fixes mentioned in the description. As always, many many thanks for your continued work!

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

There you go, version 3.0.4:
Moddb.com

Reply Good karma+3 votes
stalkerforever
stalkerforever

I installed this STCoP 3.0.1 + translation, but now I see this comment that there's a newer patch. I can install 3.0.4 over it even if I have made all the previous installations (atmosfear, structures, etc.)?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Yes, you can install 3.0.4 over 3.0.1 without any problems. Just copy over the atmosfear compatability patch and the translation again afterwards.

Reply Good karma+1 vote
stalkerforever
stalkerforever

I can't download 3.0.4 I'm getting a "secure connection could not be established" message.

Reply Good karma Bad karma+1 vote
Mmmmmmmmmmmmmmmhm
Mmmmmmmmmmmmmmmhm

Do the new files require you to start a new game?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Have to say, I am actually not sure. I never tried to update during an active playthrough. I always started a new game myself and I don't think it says so anywhere on the official modpage either. If I had to guess, I would say yes. The new update removes 2 supressors and 1 sight from the game and changes attachements on a number of weapons. So if you had any of those in your inventory or there were some in the gameworld it might lead to problems for example. I will have to try this someday, but sadly I don't have time at the moment since I am in the middle of my exams for this semester.

If somebody else here knows anything about this, feel free give your input.

Reply Good karma+1 vote
Mmmmmmmmmmmmmmmhm
Mmmmmmmmmmmmmmmhm

Got it. At least I'm not too far into my newest game that I started. I asked because I launched up CoP on steam after inserting the files,and I noticed nothing changed. Again,thanks bro.

Reply Good karma Bad karma+1 vote
Mmmmmmmmmmmmmmmhm
Mmmmmmmmmmmmmmmhm

Okay,for anyone with this question,the answer is yes. You do need to start a new game to make this mod work.

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

Thank you very much for testing it! :)

Reply Good karma+1 vote
stalkerforever
stalkerforever

Thanks for testing, I'm going to install 3.07 and start a new game.

Reply Good karma Bad karma+1 vote
Guest
Guest

love this mod Bro

Reply Good karma Bad karma+1 vote
Corrosive.Hannibal
Corrosive.Hannibal

Love this mod Bro
and can you tell the dev finish the TAR-21 & FN-FNC

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

The FNC got replaced by the FN-FAL which is now active in this release. Don't know about the Tar-21 though.

Reply Good karma+2 votes
Corrosive.Hannibal
Corrosive.Hannibal

Thanks for info bro

Reply Good karma Bad karma+1 vote
FoxFort
FoxFort

Thanks buddy, it's time to reinstall CoP for me :)
Oh btw, in description the link for patch 3.0.4 is wrong it points to 2.9.
Correct link: Moddb.com

Cheers

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

Thanks for the headsup! Moddb is weird sometimes. I post the correct link and it reverts to the 2.9 link. I had this happen two times over the last few days. Gonna change it again. :)

Reply Good karma+1 vote
Jacobsa2000
Jacobsa2000

Is there somewhere where I can see pictures of ingame weapons?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

There are some pictures on the official modpage:
Ap-pro.ru

Otherwise there are some youtube videos that showcase all the weapons:

Note: I did not create this video. Just the first one I found via google. Should show all the weapons.

Reply Good karma+3 votes
FoxFort
FoxFort

A lot of weapons are located too far to the down right corner of the screen. Would it possible for you to move the position closer to left/middle of the screen. On default FoV, the AKM a big rifle in real life looks small and in the corner of the screen. In this video everything looks okay but it has a very wide FoV and pronounced fisheye effect which for me kills the gameplay. Perhaps make an optional addon please?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

You can use the hud_fov command to change the fov of the weapon itself, without affecting the actual fov. Default value for hud_fov is 0.45. To change the actual position however you would need to go into every weapon config and change the viewmodel of that gun. In theory and from what I read online you can just change the position value in the config file. More info on this in this thread:
Moddb.com

However I just tried this with the 9a91 from the weapon pack and it didn't seem to work ingame. Changing it in both the 9a91.ltx and w_9a91.ltx. I sadly neither have the time nor the demand for it at the moment. Maybe if I have time after my exams, but it's not high on the priority list. If you want, you can ofcourse give it a shot yourself and maybe you can come up with a way. I hope the hud_fov command already fits your request. :)

Reply Good karma+1 vote
FoxFort
FoxFort

Hmm, thanks, I'll give it a go.

Reply Good karma Bad karma+1 vote
TheRenegadist
TheRenegadist

Thanks for the release though it's a shame STCOP is slipping into the same issue that AO3 has with the same looking animations re-used per weapon.

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

I remember when I played garrys mod, that a lot of weapon packs would reuse animations. Making new animations that look good takes a lot of time and requires some very good animation skills. Few modders can offer that skillset and for free even. So when someone gets hold of some good animation it takes it's rounds through all other mods. I agree though, more varied animations would always be nice.

Reply Good karma+1 vote
KRUGā„¢
KRUGā„¢

So..i can use this In Vanilla without Atmosfear or Absolute Nature ?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Yes, Atmosfear and Absolute Nature are optional. :)
You can just install 3.0, the newest fix and the translation and it will work just fine. I tried it myself a few minutes ago on a clean installation to make sure it still worked with 3.0.

I edited the description of the download to make it a bit more clear that it's optional.

Reply Good karma+1 vote
KRUGā„¢
KRUGā„¢

Thanks !

Reply Good karma Bad karma+1 vote
Lachesis580
Lachesis580

Awesome!
Can you also make a version for the upcoming Anomaly 1.5 Mod or not interested?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

I played Anomaly 1.4 a bit and I remember it already being in english. Won't 1.5 have an official english version aswell? I am not up to speed when it comes to anomaly. :)

Reply Good karma+1 vote
Lachesis580
Lachesis580

ah ok thanks didn't know they included it already.

Reply Good karma Bad karma+1 vote
Corrosive.Hannibal
Corrosive.Hannibal

Any addon like open scope for this version ?

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

There was one for 2.8 I think. My plan is to put together an open scopes pack one day and keep it updated along with the translation. However so far I didn't have the time to expand towards that. Especially because I would like to get permission for them before I put together other peoples scopes and that would probably take some time, given that these are usually russian modders. It's on my list though.
For the moment you could try and convert the old version yourself if you want.
Moddb.com

Reply Good karma+2 votes
Corrosive.Hannibal
Corrosive.Hannibal

Thanks Again

Reply Good karma Bad karma+1 vote
Guest
Guest

Hey man this is a really nice mod but I got a problem. My game constantly experiences fps drops after installing this mod. I also applied the latest 3.04 fix. The game ran smooth even in highest setting Enhanced full dynamic lighting DX9 when I only used AS, AN4, AF3. But with this mod the FPS drops a minute or two and it's quite annoying.

My current mods are according to installation order:

1. AF3
2. AN4
3. AS
4. STCOP 3.0.1 full
5. STCOP 3.0.4 patches
6. Compatiblity patches and translation

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

I am sorry to hear that. I sadly don't really know what could be the cause of this since I didn't make the mod. The only thing of note I changed was one line in the compatability patch. Just in case that is for some reason the culprit, here is how you revert that change:

Go to your gamefolder, go to gamedata->scripts and open xr_conditions.script in any text editor you want.

Now go to line 1064, or alternatively if you don't have line numbers search for "function surge_started()".
In this function you will see 2 lines. A short line with -- before it and a longer one right below it. Delete the longer one and remove the -- before the first line.

This is how it will look afterwards:
function surge_started()
return surge_manager.is_started()
end

Save the file and start the game. I doubt it wil help, but it's the only thing I can personally think of right now. Everything else is down to the mod creator himself. I hope this helps you. Would love to get feedback if that actually fixes any perfomance issues! :)

Reply Good karma+1 vote
Guest
Guest

It might be because of replacing the original bin folder to the modded bin folder? I did not experience game freezes when I used the original bin folder as well as the AN4, AS, and AF3 mods. That sucks. This mod is actually good. Sucks that it causes my game to freeze. Oh btw, I'm using the steam version.

Reply Good karma Bad karma+1 vote
Bigz2019
Bigz2019

my game crash as soon as I start the transaction mission, right after I speak to Spartacus, any ideas why ? please help

Reply Good karma Bad karma+1 vote
Guest
Guest

umm my game crashes every time I open the game i follow the procedures can you please help me?

my installation:
AF3
AN4
AS
STCOP 3.0
Stcop 3.0.7
then patch and translation

rEngine.exe caused BREAKPOINT in module "C:\Program Files (x86)\blah\S.T.A.L.K.E.R - Call Of Pripyat\bin\xrCore.dll" at 0023:00B471C8, xrDebug::backend()+168 byte(s)

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

RageNClear
RageNClear

the 7.62x51 battle rifles and 9x39 rifles damage are quite weak, how to you increase the damage?
also i don't know the difference between 'ak12.ltx' and 'w_ak12.ltx' what's the difference?

Reply Good karma Bad karma+1 vote
QuangGamer45
QuangGamer45

Hey,sonehow after installed this the second time,many stalker and bandit carry good weapon like ppsh41 or ak47 yet knuckle didn't carry the unique ak74 which is pretty much broken,if there any fix for this problem?

Reply Good karma Bad karma+1 vote
QuangGamer45
QuangGamer45

Nevermind what i said

Reply Good karma Bad karma+1 vote
Guest
Guest

i got xray engine 1.6 error with this mod. does anyone know about this issue?

Reply Good karma Bad karma+1 vote
prados
prados

Does it work with latest version of Misery? Thank you.

Reply Good karma Bad karma+2 votes
stalkerforever
stalkerforever

Hi is there a version for Soc and SC? and what mods is this compatible with?

Reply Good karma Bad karma+1 vote
Holl0w
Holl0w

I've tried to install this serveral times following the instructions and it simply doesn't work.
As soon as I copy the bin folder from STCoP the game simply won't launch.
Any input?

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.